include ( ../../../../buildcfg.pro )

TEMPLATE	= lib

CONFIG		= qt thread plugin opengl $${BUILDTYPE}

HEADERS = \
        src/Action.h \
        src/ActionManager.h \
        src/BoxSelector.h \
        src/cQuaternion.h \
        src/Help.h \
        src/MemChecker.h \
        src/Metric.h \
        src/MovingLeastSquares.h \
        src/my_defs.h \
        src/MyComparators.h \
        src/NewOverload.h \
        src/PlaneFit.h \
        src/ScanTools.h \
        src/ScanToolsDialogImpl.h \
        src/ScanToolsGlobals.h \
        src/Selector.h \
        src/UndoRedoSpecialisations.h \
        src/DefiningSurfaces.h \
        src/DefiningSurfaceTypes.h \
        src/Energies.h \
        src/KdTreeExtra.h \
        src/nrutil.h \
        src/PointNormalEnergy.h \
        src/PointNormalSurface.h \
        src/PointNormalSurfacePlaneFit.h \

SOURCES = \
        src/Action.cpp \
        src/ActionManager.cpp \
        src/BoxSelector.cpp \
        src/cQuaternion.cpp \
        src/Help.cpp \
        src/MemChecker.cpp \
        src/Metric.cpp \
        src/MovingLeastSquares.cpp \
        src/PlaneFit.cpp \
        src/ScanTools.cpp \
        src/ScanToolsDialogImpl.cpp \
        src/ScanToolsGlobals.cpp \
        src/Selector.cpp \
        src/UndoRedoSpecialisations.cpp \
        src/brent.cpp \
        src/dbrent.cpp \
        src/DefiningSurfaces.cpp \
        src/Energies.cpp \
        src/PointNormalEnergy.cpp \
        src/PointNormalSurface.cpp \
        src/PointNormalSurfacePlaneFit.cpp \

INTERFACES = \
        UI/HelpWidget.ui \
        UI/ScanToolsWidget.ui \

TARGET		= DefiningSurfaceTools

INCLUDEPATH     += ${GSLDIR}/include

OBJECTS_DIR     = bin/linux/$${BUILDTYPE}

MOC_DIR		= bin/linux/$${BUILDTYPE}

DESTDIR		= ../../../../bin/linux/$${BUILDTYPE}/Tools

LIBS	       += -L../../../../bin/linux/$${BUILDTYPE} -L${GSLDIR}/lib -lCore -lUtilities -lDataTypes -lgsl -lgslcblas

QMAKE_POST_LINK = mkdir -p ../../../../bin/linux/$${BUILDTYPE}/Resources && \
                  cp \
                     Icons/DEF_MarkIcon.png \
                     Icons/DEF_MarkIcon_disabled.png \
                     Icons/DEF_MLSIcon.png \
                     ../../../../bin/linux/$${BUILDTYPE}/Resources
